# r441 is 3.1 + 10-15 patches on top (including critical building fixes for py3)
%global rev 441

Name:           pythonqt
Version:        3.1
Release:        1%{?rev:.r%{rev}}%{?dist}
Summary:        Lightweight script binding of the Qt framework to the Python language
License:        LGPLv2+
URL:            http://pythonqt.sourceforge.net
%if ! %{defined rev}
Source0:        https://downloads.sourceforge.net/pythonqt/PythonQt%{version}.zip
%else
Source0:        https://sourceforge.net/code-snapshots/svn/%(n=%{name}; echo ${n:0:1})/%(n=%{name}; echo ${n:0:2})/%{name}/code/%{name}-code-%{rev}-trunk.zip
%endif
# Patch in the "make install" command
Patch0:         %{name}-add-install-target.diff
BuildRequires:  qt5-qtbase-devel
BuildRequires:  qt5-qtdeclarative-devel
BuildRequires:  qt5-qtmultimedia-devel
BuildRequires:  qt5-qtsvg-devel
BuildRequires:  qt5-qttools-devel
BuildRequires:  qt5-qttools-static
BuildRequires:  qt5-qtwebkit-devel
BuildRequires:  qt5-qtxmlpatterns-devel
BuildRequires:  python3-devel

%description
PythonQt is a dynamic and lightweight script binding of the Qt framework
to the Python language. It can be easily embedded into Qt applications and
makes any QObject derived object scriptable via Python without the need of
wrapper code generation.

%package devel
Summary:        Lightweight script binding of the Qt framework to the Python language
Requires:       %{name}%{?_isa} = %{version}-%{release}

%description devel
Header files and development libraries for pythonqt package. PythonQt
is a dynamic and lightweight script binding of the Qt framework
to the Python language. 

%prep
%autosetup -n %{!?rev:PythonQt%{version}}%{?rev:%{name}-code-%{rev}-trunk} -p1
sed -r -i -e "s/(unix:PYTHON_VERSION=).*/\1%{python3_version}/g" build/python.prf

# Fix README end-of-line encoding
sed -i 's/\r//' README

%build
# Out-of-tree builds are broken, it assumes lib to be built in-tree (-Lxxx)
# /usr/bin/ld: cannot find -lPythonQt
%qmake_qt5 \
  "LIB_INSTALL=%{buildroot}%{_libdir}"                 \
  "HEADER_INSTALL=%{buildroot}%{_includedir}/PythonQt" \
  %{nil}
%make_build

%install
%make_install

%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%license COPYING
%doc README
%{_libdir}/libPythonQt.so.*
%{_libdir}/libPythonQt_QtAll.so.*

%files devel
%{_includedir}/PythonQt/
%{_libdir}/libPythonQt.so
%{_libdir}/libPythonQt_QtAll.so

%changelog
* Sun Nov 20 2016 Igor Gnatenko <i.gnatenko.brain@gmail.com> - 3.1-1.r441
- Update to 3.1
- Switch to Qt5
- Switch to Python3

* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 2.1-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Mon Feb 01 2016 Rex Dieter <rdieter@fedoraproject.org> - 2.1-8
- use %%qmake_qt4 macro to ensure proper build flags

* Thu Jun 18 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.1-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Sat May 02 2015 Kalev Lember <kalevlember@gmail.com> - 2.1-6
- Rebuilt for GCC 5 C++11 ABI change

* Sun Aug 17 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.1-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_22_Mass_Rebuild

* Sun Jun 08 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.1-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sun Aug 04 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Mon Jun 10 2013 Jan Kaluza <jkaluza@redhat.com> - 2.1-2
- improve devel package description
- add --as-needed to linker flags
- compile with -fno-strict-aliasing to workaround Python
  bug http://www.python.org/dev/peps/pep-3123/

* Wed Jun 05 2013 Jan Kaluza <jkaluza@redhat.com> - 2.1-1
- Initial Fedora packaging
